<template>
    <div>
        <breadcrumb-component title="Formas de pagamento" :pages="breadPages"/>

        <panel-component title="Editar forma de pagamento">

            <form-payment :formData="formData" :isUpdate="true"></form-payment>

        </panel-component>
    </div>
</template>

<script>
    import FormPaymentComponent from './FormPaymentComponent'

    export default {
        props: {
            id: {
                required: true
            }
        },

        components: {
            FormPayment: FormPaymentComponent
        },

        data() {
            return {
                formData: {},
                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'payments', name: 'Financeiro', active: false},
                    {link: 'payments', name: 'Formas de pagamento', active: false},
                    {link: 'payments.edit', name: 'Editar', active: true},
                ],
            }
        },

        created() {
            this.$store.dispatch('loadPayment', this.id)
                .then(response => {
                    this.formData = response.payment
                })
                .catch(() => {
                    this.$snotify.error('Forma de pagamento não encontrada', '404')
                    this.$router.push({name: 'payments'})
                })
        }
    }
</script>